org.apache.sling.xss.impl

## Class XSSAPIAdapterFactory

- java.lang.Object
- - org.apache.sling.xss.impl.XSSAPIAdapterFactory

All Implemented Interfaces:
  org.apache.sling.api.adapter.AdapterFactory

    @Service(value=org.apache.sling.api.adapter.AdapterFactory.class)
     @Properties(value=@Property(name="service.description",value="Adapter for the XSSAPI service."))
    public class XSSAPIAdapterFactory
    extends Object
    implements org.apache.sling.api.adapter.AdapterFactory

Adapter factory that adapts a `ResourceResolver` to a resourceResolver-specific `XSSAPI` service.

### Field Summary

Fields
`static String[]` `ADAPTABLE_CLASSES`
`static String[]` `ADAPTER_CLASSES`

### Fields inherited from interface org.apache.sling.api.adapter.AdapterFactory

`SERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XSSAPIAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<AdapterType> AdapterType` `getAdapter(Object adaptable, Class<AdapterType> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ADAPTER_CLASSES

    @Property(name="adapters")
    public static final String[] ADAPTER_CLASSES

#### ADAPTABLE_CLASSES

    @Property(name="adaptables")
    public static final String[] ADAPTABLE_CLASSES

### Constructor Detail

#### XSSAPIAdapterFactory

    public XSSAPIAdapterFactory()

### Method Detail

#### getAdapter

    public <AdapterType> AdapterType getAdapter(Object adaptable,
                                                Class<AdapterType> type)

Specified by:
  `getAdapter` in interface `org.apache.sling.api.adapter.AdapterFactory`